diff --git a/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp6.c b/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp6.c
index 8d71143..425e0cf 100644
--- a/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp6.c
+++ b/NetworkPkg/UefiPxeBcDxe/PxeBcDhcp6.c
@@ -15,7 +15,9 @@
 //
 //   ALL_DHCP_Relay_Agents_and_Servers address: FF02::1:2
 //
-EFI_IPv6_ADDRESS   mAllDhcpRelayAndServersAddress = {{0xFF, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2}};
+EFI_IPv6_ADDRESS  mAllDhcpRelayAndServersAddress = {
+  { 0xFF, 2, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1, 0, 2 }
+};
 
 /**
   Parse out a DHCPv6 option by OptTag, and find the position in buffer.
@@ -30,35 +32,32 @@ EFI_IPv6_ADDRESS   mAllDhcpRelayAndServersAddress = {{0xFF, 2, 0, 0, 0, 0, 0, 0,
 **/
 EFI_DHCP6_PACKET_OPTION *
 PxeBcParseDhcp6Options (
-  IN UINT8                       *Buffer,
-  IN UINT32                      Length,
-  IN UINT16                      OptTag
+  IN UINT8   *Buffer,
+  IN UINT32  Length,
+  IN UINT16  OptTag
   )
 {
-  EFI_DHCP6_PACKET_OPTION        *Option;
-  UINT32                         Offset;
+  EFI_DHCP6_PACKET_OPTION  *Option;
+  UINT32                   Offset;
 
-  Option  = (EFI_DHCP6_PACKET_OPTION *) Buffer;
-  Offset  = 0;
+  Option = (EFI_DHCP6_PACKET_OPTION *)Buffer;
+  Offset = 0;
 
   //
   // OpLen and OpCode here are both stored in network order.
   //
   while (Offset < Length) {
-
     if (NTOHS (Option->OpCode) == OptTag) {
-
       return Option;
     }
 
-    Offset += (NTOHS(Option->OpLen) + 4);
-    Option  = (EFI_DHCP6_PACKET_OPTION *) (Buffer + Offset);
+    Offset += (NTOHS (Option->OpLen) + 4);
+    Option  = (EFI_DHCP6_PACKET_OPTION *)(Buffer + Offset);
   }
 
   return NULL;
 }
 
-
 /**
   Build the options buffer for the DHCPv6 request packet.
 
@@ -71,70 +70,70 @@ PxeBcParseDhcp6Options (
 **/
 UINT32
 PxeBcBuildDhcp6Options (
-  IN  PXEBC_PRIVATE_DATA           *Private,
-  OUT EFI_DHCP6_PACKET_OPTION      **OptList,
-  IN  UINT8                        *Buffer
+  IN  PXEBC_PRIVATE_DATA       *Private,
+  OUT EFI_DHCP6_PACKET_OPTION  **OptList,
+  IN  UINT8                    *Buffer
   )
 {
-  PXEBC_DHCP6_OPTION_ENTRY         OptEnt;
-  UINT32                           Index;
-  UINT16                           Value;
+  PXEBC_DHCP6_OPTION_ENTRY  OptEnt;
+  UINT32                    Index;
+  UINT16                    Value;
 
-  Index       = 0;
-  OptList[0]  = (EFI_DHCP6_PACKET_OPTION *) Buffer;
+  Index      = 0;
+  OptList[0] = (EFI_DHCP6_PACKET_OPTION *)Buffer;
 
   //
   // Append client option request option
   //
-  OptList[Index]->OpCode     = HTONS (DHCP6_OPT_ORO);
-  OptList[Index]->OpLen      = HTONS (8);
-  OptEnt.Oro                 = (PXEBC_DHCP6_OPTION_ORO *) OptList[Index]->Data;
-  OptEnt.Oro->OpCode[0]      = HTONS(DHCP6_OPT_BOOT_FILE_URL);
-  OptEnt.Oro->OpCode[1]      = HTONS(DHCP6_OPT_BOOT_FILE_PARAM);
-  OptEnt.Oro->OpCode[2]      = HTONS(DHCP6_OPT_DNS_SERVERS);
-  OptEnt.Oro->OpCode[3]      = HTONS(DHCP6_OPT_VENDOR_CLASS);
+  OptList[Index]->OpCode = HTONS (DHCP6_OPT_ORO);
+  OptList[Index]->OpLen  = HTONS (8);
+  OptEnt.Oro             = (PXEBC_DHCP6_OPTION_ORO *)OptList[Index]->Data;
+  OptEnt.Oro->OpCode[0]  = HTONS (DHCP6_OPT_BOOT_FILE_URL);
+  OptEnt.Oro->OpCode[1]  = HTONS (DHCP6_OPT_BOOT_FILE_PARAM);
+  OptEnt.Oro->OpCode[2]  = HTONS (DHCP6_OPT_DNS_SERVERS);
+  OptEnt.Oro->OpCode[3]  = HTONS (DHCP6_OPT_VENDOR_CLASS);
   Index++;
-  OptList[Index]             = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
+  OptList[Index] = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
 
   //
   // Append client network device interface option
   //
-  OptList[Index]->OpCode     = HTONS (DHCP6_OPT_UNDI);
-  OptList[Index]->OpLen      = HTONS ((UINT16)3);
-  OptEnt.Undi                = (PXEBC_DHCP6_OPTION_UNDI *) OptList[Index]->Data;
+  OptList[Index]->OpCode = HTONS (DHCP6_OPT_UNDI);
+  OptList[Index]->OpLen  = HTONS ((UINT16)3);
+  OptEnt.Undi            = (PXEBC_DHCP6_OPTION_UNDI *)OptList[Index]->Data;
 
   if (Private->Nii != NULL) {
-    OptEnt.Undi->Type        = Private->Nii->Type;
-    OptEnt.Undi->MajorVer    = Private->Nii->MajorVer;
-    OptEnt.Undi->MinorVer    = Private->Nii->MinorVer;
+    OptEnt.Undi->Type     = Private->Nii->Type;
+    OptEnt.Undi->MajorVer = Private->Nii->MajorVer;
+    OptEnt.Undi->MinorVer = Private->Nii->MinorVer;
   } else {
-    OptEnt.Undi->Type        = DEFAULT_UNDI_TYPE;
-    OptEnt.Undi->MajorVer    = DEFAULT_UNDI_MAJOR;
-    OptEnt.Undi->MinorVer    = DEFAULT_UNDI_MINOR;
+    OptEnt.Undi->Type     = DEFAULT_UNDI_TYPE;
+    OptEnt.Undi->MajorVer = DEFAULT_UNDI_MAJOR;
+    OptEnt.Undi->MinorVer = DEFAULT_UNDI_MINOR;
   }
 
   Index++;
-  OptList[Index]             = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
+  OptList[Index] = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
 
   //
   // Append client system architecture option
   //
-  OptList[Index]->OpCode     = HTONS (DHCP6_OPT_ARCH);
-  OptList[Index]->OpLen      = HTONS ((UINT16) sizeof (PXEBC_DHCP6_OPTION_ARCH));
-  OptEnt.Arch                = (PXEBC_DHCP6_OPTION_ARCH *) OptList[Index]->Data;
-  Value                      = HTONS (EFI_PXE_CLIENT_SYSTEM_ARCHITECTURE);
+  OptList[Index]->OpCode = HTONS (DHCP6_OPT_ARCH);
+  OptList[Index]->OpLen  = HTONS ((UINT16)sizeof (PXEBC_DHCP6_OPTION_ARCH));
+  OptEnt.Arch            = (PXEBC_DHCP6_OPTION_ARCH *)OptList[Index]->Data;
+  Value                  = HTONS (EFI_PXE_CLIENT_SYSTEM_ARCHITECTURE);
   CopyMem (&OptEnt.Arch->Type, &Value, sizeof (UINT16));
   Index++;
-  OptList[Index]             = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
+  OptList[Index] = GET_NEXT_DHCP6_OPTION (OptList[Index - 1]);
 
   //
   // Append vendor class option to store the PXE class identifier.
   //
   OptList[Index]->OpCode       = HTONS (DHCP6_OPT_VENDOR_CLASS);
-  OptList[Index]->OpLen        = HTONS ((UINT16) sizeof (PXEBC_DHCP6_OPTION_VENDOR_CLASS));
-  OptEnt.VendorClass           = (PXEBC_DHCP6_OPTION_VENDOR_CLASS *) OptList[Index]->Data;
+  OptList[Index]->OpLen        = HTONS ((UINT16)sizeof (PXEBC_DHCP6_OPTION_VENDOR_CLASS));
+  OptEnt.VendorClass           = (PXEBC_DHCP6_OPTION_VENDOR_CLASS *)OptList[Index]->Data;
   OptEnt.VendorClass->Vendor   = HTONL (PXEBC_DHCP6_ENTERPRISE_NUM);
-  OptEnt.VendorClass->ClassLen = HTONS ((UINT16) sizeof (PXEBC_CLASS_ID));
+  OptEnt.VendorClass->ClassLen = HTONS ((UINT16)sizeof (PXEBC_CLASS_ID));
   CopyMem (
     &OptEnt.VendorClass->ClassId,
     DEFAULT_CLASS_ID_DATA,
@@ -169,7 +168,6 @@ PxeBcBuildDhcp6Options (
   return Index;
 }
 
-
 /**
   Cache the DHCPv6 packet.
 
@@ -182,8 +180,8 @@ PxeBcBuildDhcp6Options (
 **/
 EFI_STATUS
 PxeBcCacheDhcp6Packet (
-  IN EFI_DHCP6_PACKET          *Dst,
-  IN EFI_DHCP6_PACKET          *Src
+  IN EFI_DHCP6_PACKET  *Dst,
+  IN EFI_DHCP6_PACKET  *Src
   )
 {
   if (Dst->Size < Src->Length) {
@@ -211,22 +209,22 @@ PxeBcCacheDhcp6Packet (
 **/
 EFI_STATUS
 PxeBcDns6 (
-  IN PXEBC_PRIVATE_DATA           *Private,
-  IN     CHAR16                   *HostName,
-     OUT EFI_IPv6_ADDRESS         *IpAddress
+  IN PXEBC_PRIVATE_DATA  *Private,
+  IN     CHAR16          *HostName,
+  OUT EFI_IPv6_ADDRESS   *IpAddress
   )
 {
-  EFI_STATUS                      Status;
-  EFI_DNS6_PROTOCOL               *Dns6;
-  EFI_DNS6_CONFIG_DATA            Dns6ConfigData;
-  EFI_DNS6_COMPLETION_TOKEN       Token;
-  EFI_HANDLE                      Dns6Handle;
-  EFI_IPv6_ADDRESS                *DnsServerList;
-  BOOLEAN                         IsDone;
-
-  Dns6                = NULL;
-  Dns6Handle          = NULL;
-  DnsServerList       = Private->DnsServer;
+  EFI_STATUS                 Status;
+  EFI_DNS6_PROTOCOL          *Dns6;
+  EFI_DNS6_CONFIG_DATA       Dns6ConfigData;
+  EFI_DNS6_COMPLETION_TOKEN  Token;
+  EFI_HANDLE                 Dns6Handle;
+  EFI_IPv6_ADDRESS           *DnsServerList;
+  BOOLEAN                    IsDone;
+
+  Dns6          = NULL;
+  Dns6Handle    = NULL;
+  DnsServerList = Private->DnsServer;
   ZeroMem (&Token, sizeof (EFI_DNS6_COMPLETION_TOKEN));
 
   //
@@ -245,7 +243,7 @@ PxeBcDns6 (
   Status = gBS->OpenProtocol (
                   Dns6Handle,
                   &gEfiDns6ProtocolGuid,
-                  (VOID **) &Dns6,
+                  (VOID **)&Dns6,
                   Private->Image,
                   Private->Controller,
                   EFI_OPEN_PROTOCOL_BY_DRIVER
@@ -308,10 +306,12 @@ PxeBcDns6 (
       Status = EFI_DEVICE_ERROR;
       goto Exit;
     }
-    if (Token.RspData.H2AData->IpCount == 0 || Token.RspData.H2AData->IpList == NULL) {
+
+    if ((Token.RspData.H2AData->IpCount == 0) || (Token.RspData.H2AData->IpList == NULL)) {
       Status = EFI_DEVICE_ERROR;
       goto Exit;
     }
+
     //
     // We just return the first IPv6 address from DNS protocol.
     //
@@ -325,10 +325,12 @@ Exit:
   if (Token.Event != NULL) {
     gBS->CloseEvent (Token.Event);
   }
+
   if (Token.RspData.H2AData != NULL) {
     if (Token.RspData.H2AData->IpList != NULL) {
       FreePool (Token.RspData.H2AData->IpList);
     }
+
     FreePool (Token.RspData.H2AData);
   }
 
@@ -375,26 +377,26 @@ Exit:
 **/
 EFI_STATUS
 PxeBcExtractBootFileUrl (
-  IN PXEBC_PRIVATE_DATA      *Private,
-     OUT UINT8               **FileName,
-  IN OUT EFI_IPv6_ADDRESS    *SrvAddr,
-  IN     CHAR8               *BootFile,
-  IN     UINT16              Length
+  IN PXEBC_PRIVATE_DATA    *Private,
+  OUT UINT8                **FileName,
+  IN OUT EFI_IPv6_ADDRESS  *SrvAddr,
+  IN     CHAR8             *BootFile,
+  IN     UINT16            Length
   )
 {
-  UINT16                     PrefixLen;
-  CHAR8                      *BootFileNamePtr;
-  CHAR8                      *BootFileName;
-  UINT16                     BootFileNameLen;
-  CHAR8                      *TmpStr;
-  CHAR8                      TmpChar;
-  CHAR8                      *ServerAddressOption;
-  CHAR8                      *ServerAddress;
-  CHAR8                      *ModeStr;
-  CHAR16                     *HostName;
-  BOOLEAN                    IpExpressedUrl;
-  UINTN                      Len;
-  EFI_STATUS                 Status;
+  UINT16      PrefixLen;
+  CHAR8       *BootFileNamePtr;
+  CHAR8       *BootFileName;
+  UINT16      BootFileNameLen;
+  CHAR8       *TmpStr;
+  CHAR8       TmpChar;
+  CHAR8       *ServerAddressOption;
+  CHAR8       *ServerAddress;
+  CHAR8       *ModeStr;
+  CHAR16      *HostName;
+  BOOLEAN     IpExpressedUrl;
+  UINTN       Len;
+  EFI_STATUS  Status;
 
   IpExpressedUrl = TRUE;
   //
@@ -417,17 +419,18 @@ PxeBcExtractBootFileUrl (
   // As an example where the BOOTFILE_NAME is the EFI loader and
   // SERVER_ADDRESS is the ASCII encoding of an IPV6 address.
   //
-  PrefixLen = (UINT16) AsciiStrLen (PXEBC_DHCP6_BOOT_FILE_URL_PREFIX);
+  PrefixLen = (UINT16)AsciiStrLen (PXEBC_DHCP6_BOOT_FILE_URL_PREFIX);
 
-  if (Length <= PrefixLen ||
-      CompareMem (BootFile, PXEBC_DHCP6_BOOT_FILE_URL_PREFIX, PrefixLen) != 0) {
+  if ((Length <= PrefixLen) ||
+      (CompareMem (BootFile, PXEBC_DHCP6_BOOT_FILE_URL_PREFIX, PrefixLen) != 0))
+  {
     return EFI_NOT_FOUND;
   }
 
   BootFile = BootFile + PrefixLen;
-  Length   = (UINT16) (Length - PrefixLen);
+  Length   = (UINT16)(Length - PrefixLen);
 
-  TmpStr = (CHAR8 *) AllocateZeroPool (Length + 1);
+  TmpStr = (CHAR8 *)AllocateZeroPool (Length + 1);
   if (TmpStr == NULL) {
     return EFI_OUT_OF_RESOURCES;
   }
@@ -440,7 +443,7 @@ PxeBcExtractBootFileUrl (
   //
   ServerAddressOption = TmpStr;
   if (*ServerAddressOption == PXEBC_ADDR_START_DELIMITER) {
-    ServerAddressOption ++;
+    ServerAddressOption++;
     ServerAddress = ServerAddressOption;
     while (*ServerAddress != '\0' && *ServerAddress != PXEBC_ADDR_END_DELIMITER) {
       ServerAddress++;
@@ -461,10 +464,9 @@ PxeBcExtractBootFileUrl (
       FreePool (TmpStr);
       return Status;
     }
-
   } else {
     IpExpressedUrl = FALSE;
-    ServerAddress = ServerAddressOption;
+    ServerAddress  = ServerAddressOption;
     while (*ServerAddress != '\0' && *ServerAddress != PXEBC_TFTP_URL_SEPARATOR) {
       ServerAddress++;
     }
@@ -473,14 +475,16 @@ PxeBcExtractBootFileUrl (
       FreePool (TmpStr);
       return EFI_INVALID_PARAMETER;
     }
+
     *ServerAddress = '\0';
 
-    Len = AsciiStrSize (ServerAddressOption);
+    Len      = AsciiStrSize (ServerAddressOption);
     HostName = AllocateZeroPool (Len * sizeof (CHAR16));
     if (HostName == NULL) {
       FreePool (TmpStr);
       return EFI_OUT_OF_RESOURCES;
     }
+
     AsciiStrToUnicodeStrS (
       ServerAddressOption,
       HostName,
@@ -490,7 +494,7 @@ PxeBcExtractBootFileUrl (
     //
     // Perform DNS resolution.
     //
-    Status = PxeBcDns6 (Private,HostName, SrvAddr);
+    Status = PxeBcDns6 (Private, HostName, SrvAddr);
     if (EFI_ERROR (Status)) {
       FreePool (TmpStr);
       return Status;
@@ -500,23 +504,24 @@ PxeBcExtractBootFileUrl (
   //
   // Get the part of BOOTFILE_NAME string.
   //
-  BootFileNamePtr = (CHAR8*)((UINTN)ServerAddress + 1);
+  BootFileNamePtr = (CHAR8 *)((UINTN)ServerAddress + 1);
   if (IpExpressedUrl) {
     if (*BootFileNamePtr != PXEBC_TFTP_URL_SEPARATOR) {
       FreePool (TmpStr);
       return EFI_INVALID_PARAMETER;
     }
+
     ++BootFileNamePtr;
   }
 
-  BootFileNameLen = (UINT16)(Length - (UINT16) ((UINTN)BootFileNamePtr - (UINTN)TmpStr) + 1);
-  if (BootFileNameLen != 0 || FileName != NULL) {
+  BootFileNameLen = (UINT16)(Length - (UINT16)((UINTN)BootFileNamePtr - (UINTN)TmpStr) + 1);
+  if ((BootFileNameLen != 0) || (FileName != NULL)) {
     //
     // Remove trailing mode=octet if present and ignore.  All other modes are
     // invalid for netboot6, so reject them.
     //
     ModeStr = AsciiStrStr (BootFileNamePtr, ";mode=octet");
-    if (ModeStr != NULL && *(ModeStr + AsciiStrLen (";mode=octet")) == '\0') {
+    if ((ModeStr != NULL) && (*(ModeStr + AsciiStrLen (";mode=octet")) == '\0')) {
       *ModeStr = '\0';
     } else if (AsciiStrStr (BootFileNamePtr, ";mode=") != NULL) {
       FreePool (TmpStr);
@@ -526,30 +531,32 @@ PxeBcExtractBootFileUrl (
     //
     // Extract boot file name from URL.
     //
-    BootFileName = (CHAR8 *) AllocateZeroPool (BootFileNameLen);
+    BootFileName = (CHAR8 *)AllocateZeroPool (BootFileNameLen);
     if (BootFileName == NULL) {
       FreePool (TmpStr);
       return EFI_OUT_OF_RESOURCES;
     }
-    *FileName = (UINT8*) BootFileName;
+
+    *FileName = (UINT8 *)BootFileName;
 
     //
     // Decode percent-encoding in boot file name.
     //
     while (*BootFileNamePtr != '\0') {
       if (*BootFileNamePtr == '%') {
-        TmpChar = *(BootFileNamePtr+ 3);
+        TmpChar               = *(BootFileNamePtr+ 3);
         *(BootFileNamePtr+ 3) = '\0';
-        *BootFileName = (UINT8) AsciiStrHexToUintn ((CHAR8*)(BootFileNamePtr + 1));
+        *BootFileName         = (UINT8)AsciiStrHexToUintn ((CHAR8 *)(BootFileNamePtr + 1));
         BootFileName++;
         *(BootFileNamePtr+ 3) = TmpChar;
-        BootFileNamePtr += 3;
+        BootFileNamePtr      += 3;
       } else {
         *BootFileName = *BootFileNamePtr;
         BootFileName++;
         BootFileNamePtr++;
       }
     }
+
     *BootFileName = '\0';
   }
 
@@ -558,7 +565,6 @@ PxeBcExtractBootFileUrl (
   return EFI_SUCCESS;
 }
 
-
 /**
   Parse the Boot File Parameter option.
 
@@ -571,14 +577,14 @@ PxeBcExtractBootFileUrl (
 **/
 EFI_STATUS
 PxeBcExtractBootFileParam (
-  IN  CHAR8                  *BootFilePara,
-  OUT UINT16                 *BootFileSize
+  IN  CHAR8   *BootFilePara,
+  OUT UINT16  *BootFileSize
   )
 {
-  UINT16                     Length;
-  UINT8                      Index;
-  UINT8                      Digit;
-  UINT32                     Size;
+  UINT16  Length;
+  UINT8   Index;
+  UINT8   Digit;
+  UINT32  Size;
 
   CopyMem (&Length, BootFilePara, sizeof (UINT16));
   Length = NTOHS (Length);
@@ -586,7 +592,7 @@ PxeBcExtractBootFileParam (
   //
   // The BootFile Size should be 1~5 byte ASCII strings
   //
-  if (Length < 1 || Length > 5) {
+  if ((Length < 1) || (Length > 5)) {
     return EFI_NOT_FOUND;
   }
 
@@ -608,11 +614,10 @@ PxeBcExtractBootFileParam (
     return EFI_NOT_FOUND;
   }
 
-  *BootFileSize = (UINT16) Size;
+  *BootFileSize = (UINT16)Size;
   return EFI_SUCCESS;
 }
 
-
 /**
   Parse the cached DHCPv6 packet, including all the options.
 
@@ -627,15 +632,15 @@ PxeBcParseDhcp6Packet (
   IN PXEBC_DHCP6_PACKET_CACHE  *Cache6
   )
 {
-  EFI_DHCP6_PACKET             *Offer;
-  EFI_DHCP6_PACKET_OPTION      **Options;
-  EFI_DHCP6_PACKET_OPTION      *Option;
-  PXEBC_OFFER_TYPE             OfferType;
-  BOOLEAN                      IsProxyOffer;
-  BOOLEAN                      IsPxeOffer;
-  UINT32                       Offset;
-  UINT32                       Length;
-  UINT32                       EnterpriseNum;
+  EFI_DHCP6_PACKET         *Offer;
+  EFI_DHCP6_PACKET_OPTION  **Options;
+  EFI_DHCP6_PACKET_OPTION  *Option;
+  PXEBC_OFFER_TYPE         OfferType;
+  BOOLEAN                  IsProxyOffer;
+  BOOLEAN                  IsPxeOffer;
+  UINT32                   Offset;
+  UINT32                   Length;
+  UINT32                   EnterpriseNum;
 
   IsProxyOffer = TRUE;
   IsPxeOffer   = FALSE;
@@ -644,15 +649,14 @@ PxeBcParseDhcp6Packet (
 
   ZeroMem (Cache6->OptList, sizeof (Cache6->OptList));
 
-  Option  = (EFI_DHCP6_PACKET_OPTION *) (Offer->Dhcp6.Option);
-  Offset  = 0;
-  Length  = GET_DHCP6_OPTION_SIZE (Offer);
+  Option = (EFI_DHCP6_PACKET_OPTION *)(Offer->Dhcp6.Option);
+  Offset = 0;
+  Length = GET_DHCP6_OPTION_SIZE (Offer);
 
   //
   // OpLen and OpCode here are both stored in network order, since they are from original packet.
   //
   while (Offset < Length) {
-
     if (NTOHS (Option->OpCode) == DHCP6_OPT_IA_NA) {
       Options[PXEBC_DHCP6_IDX_IA_NA] = Option;
     } else if (NTOHS (Option->OpCode) == DHCP6_OPT_BOOT_FILE_URL) {
@@ -669,7 +673,7 @@ PxeBcParseDhcp6Packet (
     }
 
     Offset += (NTOHS (Option->OpLen) + 4);
-    Option  = (EFI_DHCP6_PACKET_OPTION *) (Offer->Dhcp6.Option + Offset);
+    Option  = (EFI_DHCP6_PACKET_OPTION *)(Offer->Dhcp6.Option + Offset);
   }
 
   //
@@ -683,7 +687,7 @@ PxeBcParseDhcp6Packet (
                NTOHS (Option->OpLen),
                DHCP6_OPT_STATUS_CODE
                );
-    if ((Option != NULL && Option->Data[0] == 0) || (Option == NULL)) {
+    if (((Option != NULL) && (Option->Data[0] == 0)) || (Option == NULL)) {
       IsProxyOffer = FALSE;
     }
   }
@@ -692,12 +696,13 @@ PxeBcParseDhcp6Packet (
   // The offer with "PXEClient" is a pxe offer.
   //
   Option        = Options[PXEBC_DHCP6_IDX_VENDOR_CLASS];
-  EnterpriseNum = HTONL(PXEBC_DHCP6_ENTERPRISE_NUM);
+  EnterpriseNum = HTONL (PXEBC_DHCP6_ENTERPRISE_NUM);
 
-  if (Option != NULL &&
-      NTOHS(Option->OpLen) >= 13 &&
-      CompareMem (Option->Data, &EnterpriseNum, sizeof (UINT32)) == 0 &&
-      CompareMem (&Option->Data[6], DEFAULT_CLASS_ID_DATA, 9) == 0) {
+  if ((Option != NULL) &&
+      (NTOHS (Option->OpLen) >= 13) &&
+      (CompareMem (Option->Data, &EnterpriseNum, sizeof (UINT32)) == 0) &&
+      (CompareMem (&Option->Data[6], DEFAULT_CLASS_ID_DATA, 9) == 0))
+  {
     IsPxeOffer = TRUE;
   }
 
@@ -721,7 +726,6 @@ PxeBcParseDhcp6Packet (
   return EFI_SUCCESS;
 }
 
-
 /**
   Cache the DHCPv6 ack packet, and parse it on demand.
 
@@ -735,9 +739,9 @@ PxeBcParseDhcp6Packet (
 **/
 EFI_STATUS
 PxeBcCopyDhcp6Ack (
-  IN PXEBC_PRIVATE_DATA   *Private,
-  IN EFI_DHCP6_PACKET     *Ack,
-  IN BOOLEAN              Verified
+  IN PXEBC_PRIVATE_DATA  *Private,
+  IN EFI_DHCP6_PACKET    *Ack,
+  IN BOOLEAN             Verified
   )
 {
   EFI_PXE_BASE_CODE_MODE  *Mode;
@@ -762,7 +766,6 @@ PxeBcCopyDhcp6Ack (
   return EFI_SUCCESS;
 }
 
-
 /**
   Cache the DHCPv6 proxy offer packet according to the received order.
 
@@ -775,12 +778,12 @@ PxeBcCopyDhcp6Ack (
 **/
 EFI_STATUS
 PxeBcCopyDhcp6Proxy (
-  IN PXEBC_PRIVATE_DATA     *Private,
-  IN UINT32                 OfferIndex
+  IN PXEBC_PRIVATE_DATA  *Private,
+  IN UINT32              OfferIndex
   )
 {
-  EFI_PXE_BASE_CODE_MODE    *Mode;
-  EFI_DHCP6_PACKET          *Offer;
+  EFI_PXE_BASE_CODE_MODE  *Mode;
+  EFI_DHCP6_PACKET        *Offer;
   EFI_STATUS              Status;
 
   ASSERT (OfferIndex < Private->OfferNum);
@@ -793,9 +796,10 @@ PxeBcCopyDhcp6Proxy (
   // Cache the proxy offer packet and parse it.
   //
   Status = PxeBcCacheDhcp6Packet (&Private->ProxyOffer.Dhcp6.Packet.Offer, Offer);
-  if (EFI_ERROR(Status)) {
+  if (EFI_ERROR (Status)) {
     return Status;
   }
+
   PxeBcParseDhcp6Packet (&Private->ProxyOffer.Dhcp6);
 
   //
@@ -820,33 +824,33 @@ PxeBcCopyDhcp6Proxy (
 **/
 UINT8 *
 PxeBcDhcp6SeekOption (
-  IN UINT8           *Buf,
-  IN UINT32          SeekLen,
-  IN UINT16          OptType
+  IN UINT8   *Buf,
+  IN UINT32  SeekLen,
+  IN UINT16  OptType
   )
 {
-  UINT8              *Cursor;
-  UINT8              *Option;
-  UINT16             DataLen;
-  UINT16             OpCode;
+  UINT8   *Cursor;
+  UINT8   *Option;
+  UINT16  DataLen;
+  UINT16  OpCode;
 
   Option = NULL;
   Cursor = Buf;
 
   while (Cursor < Buf + SeekLen) {
-    OpCode = ReadUnaligned16 ((UINT16 *) Cursor);
+    OpCode = ReadUnaligned16 ((UINT16 *)Cursor);
     if (OpCode == HTONS (OptType)) {
       Option = Cursor;
       break;
     }
-    DataLen = NTOHS (ReadUnaligned16 ((UINT16 *) (Cursor + 2)));
+
+    DataLen = NTOHS (ReadUnaligned16 ((UINT16 *)(Cursor + 2)));
     Cursor += (DataLen + 4);
   }
 
   return Option;
 }
 
-
 /**
   Build and send out the request packet for the bootfile, and parse the reply.
 
@@ -861,34 +865,34 @@ PxeBcDhcp6SeekOption (
 **/
 EFI_STATUS
 PxeBcRequestBootService (
-  IN  PXEBC_PRIVATE_DATA              *Private,
-  IN  UINT32                          Index
+  IN  PXEBC_PRIVATE_DATA  *Private,
+  IN  UINT32              Index
   )
 {
-  EFI_PXE_BASE_CODE_UDP_PORT          SrcPort;
-  EFI_PXE_BASE_CODE_UDP_PORT          DestPort;
-  EFI_PXE_BASE_CODE_PROTOCOL          *PxeBc;
-  EFI_PXE_BASE_CODE_DHCPV6_PACKET     *Discover;
-  UINTN                               DiscoverLen;
-  EFI_DHCP6_PACKET                    *Request;
-  UINTN                               RequestLen;
-  EFI_DHCP6_PACKET                    *Reply;
-  UINT8                               *RequestOpt;
-  UINT8                               *DiscoverOpt;
-  UINTN                               ReadSize;
-  UINT16                              OpFlags;
-  UINT16                              OpCode;
-  UINT16                              OpLen;
-  EFI_STATUS                          Status;
-  EFI_DHCP6_PACKET                    *IndexOffer;
-  UINT8                               *Option;
-
-  PxeBc       = &Private->PxeBc;
-  Request     = Private->Dhcp6Request;
-  IndexOffer  = &Private->OfferBuffer[Index].Dhcp6.Packet.Offer;
-  SrcPort     = PXEBC_BS_DISCOVER_PORT;
-  DestPort    = PXEBC_BS_DISCOVER_PORT;
-  OpFlags     = 0;
+  EFI_PXE_BASE_CODE_UDP_PORT       SrcPort;
+  EFI_PXE_BASE_CODE_UDP_PORT       DestPort;
+  EFI_PXE_BASE_CODE_PROTOCOL       *PxeBc;
+  EFI_PXE_BASE_CODE_DHCPV6_PACKET  *Discover;
+  UINTN                            DiscoverLen;
+  EFI_DHCP6_PACKET                 *Request;
+  UINTN                            RequestLen;
+  EFI_DHCP6_PACKET                 *Reply;
+  UINT8                            *RequestOpt;
+  UINT8                            *DiscoverOpt;
+  UINTN                            ReadSize;
+  UINT16                           OpFlags;
+  UINT16                           OpCode;
+  UINT16                           OpLen;
+  EFI_STATUS                       Status;
+  EFI_DHCP6_PACKET                 *IndexOffer;
+  UINT8                            *Option;
+
+  PxeBc      = &Private->PxeBc;
+  Request    = Private->Dhcp6Request;
+  IndexOffer = &Private->OfferBuffer[Index].Dhcp6.Packet.Offer;
+  SrcPort    = PXEBC_BS_DISCOVER_PORT;
+  DestPort   = PXEBC_BS_DISCOVER_PORT;
+  OpFlags    = 0;
 
   if (Request == NULL) {
     return EFI_DEVICE_ERROR;
@@ -925,19 +929,20 @@ PxeBcRequestBootService (
     //
     // Add Server ID Option.
     //
-    OpLen = NTOHS (((EFI_DHCP6_PACKET_OPTION *) Option)->OpLen);
+    OpLen = NTOHS (((EFI_DHCP6_PACKET_OPTION *)Option)->OpLen);
     CopyMem (DiscoverOpt, Option, OpLen + 4);
     DiscoverOpt += (OpLen + 4);
     DiscoverLen += (OpLen + 4);
   }
 
   while (RequestLen < Request->Length) {
-    OpCode = NTOHS (((EFI_DHCP6_PACKET_OPTION *) RequestOpt)->OpCode);
-    OpLen  = NTOHS (((EFI_DHCP6_PACKET_OPTION *) RequestOpt)->OpLen);
-    if (OpCode != EFI_DHCP6_IA_TYPE_NA &&
-        OpCode != EFI_DHCP6_IA_TYPE_TA &&
-        OpCode != DHCP6_OPT_SERVER_ID
-        ) {
+    OpCode = NTOHS (((EFI_DHCP6_PACKET_OPTION *)RequestOpt)->OpCode);
+    OpLen  = NTOHS (((EFI_DHCP6_PACKET_OPTION *)RequestOpt)->OpLen);
+    if ((OpCode != EFI_DHCP6_IA_TYPE_NA) &&
+        (OpCode != EFI_DHCP6_IA_TYPE_TA) &&
+        (OpCode != DHCP6_OPT_SERVER_ID)
+        )
+    {
       //
       // Copy all the options except IA option and Server ID
       //
@@ -945,6 +950,7 @@ PxeBcRequestBootService (
       DiscoverOpt += (OpLen + 4);
       DiscoverLen += (OpLen + 4);
     }
+
     RequestOpt += (OpLen + 4);
     RequestLen += (OpLen + 4);
   }
@@ -959,7 +965,7 @@ PxeBcRequestBootService (
              );
   if (Option != NULL) {
     CalcElapsedTime (Private);
-    WriteUnaligned16 ((UINT16*)(Option + 4), HTONS((UINT16) Private->ElapsedTime));
+    WriteUnaligned16 ((UINT16 *)(Option + 4), HTONS ((UINT16)Private->ElapsedTime));
   }
 
   Status = PxeBc->UdpWrite (
@@ -973,7 +979,7 @@ PxeBcRequestBootService (
                     NULL,
                     NULL,
                     &DiscoverLen,
-                    (VOID *) Discover
+                    (VOID *)Discover
                     );
 
   if (EFI_ERROR (Status)) {
@@ -984,8 +990,8 @@ PxeBcRequestBootService (
   // Cache the right PXE reply packet here, set valid flag later.
   // Especially for PXE discover packet, store it into mode data here.
   //
-  Reply = &Private->ProxyOffer.Dhcp6.Packet.Offer;
-  ReadSize = (UINTN) Reply->Size;
+  Reply    = &Private->ProxyOffer.Dhcp6.Packet.Offer;
+  ReadSize = (UINTN)Reply->Size;
 
   //
   // Start Udp6Read instance
@@ -1005,7 +1011,7 @@ PxeBcRequestBootService (
                     NULL,
                     NULL,
                     &ReadSize,
-                    (VOID *) &Reply->Dhcp6
+                    (VOID *)&Reply->Dhcp6
                     );
   //
   // Stop Udp6Read instance
@@ -1019,7 +1025,7 @@ PxeBcRequestBootService (
   //
   // Update length
   //
-  Reply->Length = (UINT32) ReadSize;
+  Reply->Length = (UINT32)ReadSize;
 
   return EFI_SUCCESS;
 
@@ -1031,7 +1037,6 @@ ON_ERROR:
   return Status;
 }
 
-
 /**
   Retry to request bootfile name by the BINL offer.
 
@@ -1054,8 +1059,10 @@ PxeBcRetryDhcp6Binl (
   EFI_STATUS                Status;
 
   ASSERT (Index < PXEBC_OFFER_MAX_NUM);
-  ASSERT (Private->OfferBuffer[Index].Dhcp6.OfferType == PxeOfferTypeDhcpBinl ||
-          Private->OfferBuffer[Index].Dhcp6.OfferType == PxeOfferTypeProxyBinl);
+  ASSERT (
+    Private->OfferBuffer[Index].Dhcp6.OfferType == PxeOfferTypeDhcpBinl ||
+    Private->OfferBuffer[Index].Dhcp6.OfferType == PxeOfferTypeProxyBinl
+    );
 
   Mode                  = Private->PxeBc.Mode;
   Private->IsDoDiscover = FALSE;
@@ -1078,7 +1085,7 @@ PxeBcRetryDhcp6Binl (
                Private,
                &Private->BootFileName,
                &Private->ServerIp.v6,
-               (CHAR8 *) (Offer->OptList[PXEBC_DHCP6_IDX_BOOT_FILE_URL]->Data),
+               (CHAR8 *)(Offer->OptList[PXEBC_DHCP6_IDX_BOOT_FILE_URL]->Data),
                NTOHS (Offer->OptList[PXEBC_DHCP6_IDX_BOOT_FILE_URL]->OpLen)
                );
     if (EFI_ERROR (Status)) {
@@ -1101,9 +1108,10 @@ PxeBcRetryDhcp6Binl (
     return Status;
   }
 
-  if (Cache6->OfferType != PxeOfferTypeProxyPxe10 &&
-      Cache6->OfferType != PxeOfferTypeProxyWfm11a &&
-      Cache6->OptList[PXEBC_DHCP6_IDX_BOOT_FILE_URL] == NULL) {
+  if ((Cache6->OfferType != PxeOfferTypeProxyPxe10) &&
+      (Cache6->OfferType != PxeOfferTypeProxyWfm11a) &&
+      (Cache6->OptList[PXEBC_DHCP6_IDX_BOOT_FILE_URL] == NULL))
+  {
     //
     // This BINL ack doesn't have discovery option set or multicast option set
     // or bootfile name specified.
@@ -1121,7 +1129,6 @@ PxeBcRetryDhcp6Binl (
   return EFI_SUCCESS;
 }
 
-
 /**
   Cache all the received DHCPv6 offers, and set OfferIndex and OfferCount.
 
@@ -1133,8 +1140,8 @@ PxeBcRetryDhcp6Binl (
 **/
 EFI_STATUS
 PxeBcCacheDhcp6Offer (
-  IN PXEBC_PRIVATE_DATA     *Private,
-  IN EFI_DHCP6_PACKET       *RcvdOffer
+  IN PXEBC_PRIVATE_DATA  *Private,
+  IN EFI_DHCP6_PACKET    *RcvdOffer
   )
 {
   PXEBC_DHCP6_PACKET_CACHE  *Cache6;
@@ -1179,8 +1186,9 @@ PxeBcCacheDhcp6Offer (
       //
       Private->OfferIndex[OfferType][Private->OfferCount[OfferType]] = Private->OfferNum;
       Private->OfferCount[OfferType]++;
-    } else if ((OfferType == PxeOfferTypeProxyPxe10 || OfferType == PxeOfferTypeProxyWfm11a) &&
-                 Private->OfferCount[OfferType] < 1) {
+    } else if (((OfferType == PxeOfferTypeProxyPxe10) || (OfferType == PxeOfferTypeProxyWfm11a)) &&
+               (Private->OfferCount[OfferType] < 1))
+    {
       //
       // Only cache the first PXE10/WFM11a offer, and discard the others.
       //
@@ -1202,7 +1210,6 @@ PxeBcCacheDhcp6Offer (
   return EFI_SUCCESS;
 }
 
-
 /**
   Select an DHCPv6 offer, and record SelectIndex and SelectProxyType.
 
@@ -1211,12 +1218,12 @@ PxeBcCacheDhcp6Offer (
 **/
 VOID
 PxeBcSelectDhcp6Offer (
-  IN PXEBC_PRIVATE_DATA     *Private
+  IN PXEBC_PRIVATE_DATA  *Private
   )
 {
-  UINT32                Index;
-  UINT32                OfferIndex;
-  PXEBC_OFFER_TYPE      OfferType;
+  UINT32            Index;
+  UINT32            OfferIndex;
+  PXEBC_OFFER_TYPE  OfferType;
 
   Private->SelectIndex = 0;
 
